# 32/64bit spec-file
#
%define name    potrace
%define version 1.13
%define devname	%mklibname %{name} -d

Summary:	Utility for transforming a bitmap into a scalable image
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
License:	GPL
Group:		Graphics
URL:		http://potrace.sourceforge.net/
Source0:	http://potrace.sourceforge.net/download/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	zlib-devel
Provides:	fonttracer

%description
potrace is a utility for tracing a bitmap, which means, transforming
a bitmap into a smooth, scalable image. The input is a bitmap (PBM,
PGM, PPM, or BMP format), and the output can be EPS (default),
Postscript, SVG ou PGM (for easy antialiasing). A typical use is to
create EPS files from scanned data, such as company or university logos,
handwritten notes, etc. The resulting image is not "jaggy" like a bitmap,
but smooth. It can then be rendered at any resolution.

%package -n	%{devname}
Summary:	Development files for lib%{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{devname}
This package contains the files for developing applications which
will use libpotrace.


%prep
%setup -q

# fix file perm
chmod -R go+rX .

%build
%configure2_5x \
	--enable-a4 \
	--with-libpotrace \
	--disable-static

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -delete

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/lib%{name}.so.0*

%files -n %{devname}
%{_libdir}/lib%{name}.so
%{_includedir}/potracelib.h


%changelog
* Sun May 21 2017 adrianomorselli <adrianomorselli> 1.13-2uplos2017
- add devel files
